## gnu.regexp
Class RETokenPOSIX

    java.lang.Object
      gnu.regexp.REToken
          gnu.regexp.RETokenPOSIX

class RETokenPOSIX
extends REToken

Field Summary
`(package private) static int` `ALNUM`
`(package private) static int` `ALPHA`
`(package private) static int` `BLANK`
`(package private) static int` `CNTRL`
`(package private) static int` `DIGIT`
`(package private) static int` `GRAPH`
`(package private) static int` `LOWER`
`(package private) boolean` `m_insens`
`(package private) boolean` `m_negated`
`protected REToken` `m_next`
`protected int` `m_subIndex`
`(package private) int` `m_type`
`protected REToken` `m_uncle`
`(package private) static String` `newline`
`(package private) static int` `PRINT`
`(package private) static int` `PUNCT`
`(package private) static String[]` `s_nameTable`
`(package private) static int` `SPACE`
`(package private) static int` `UPPER`
`(package private) static int` `XDIGIT`

Constructor Summary
`(package private)` `RETokenPOSIX(int f_subIndex, int f_type, boolean f_insens, boolean f_negated)`

Method Summary
`(package private) boolean` `chain(REToken next)`
`(package private) void` `dump(StringBuffer os)`
`(package private) void` `dumpAll(StringBuffer os)`
`(package private) int` `getMinimumLength()`
`(package private) static int` `intValue(String key)`
`(package private) int[]` `match(CharIndexed input, int index, int eflags, REMatch mymatch)`
`protected int[]` `next(CharIndexed input, int index, int eflags, REMatch mymatch)`
`(package private) void` `setUncle(REToken f_uncle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_type

    int m_type

### m_insens

    boolean m_insens

### m_negated

    boolean m_negated

### ALNUM

    static final int ALNUM

See Also:
  Constant Field Values

### ALPHA

    static final int ALPHA

See Also:
  Constant Field Values

### BLANK

    static final int BLANK

See Also:
  Constant Field Values

### CNTRL

    static final int CNTRL

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### GRAPH

    static final int GRAPH

See Also:
  Constant Field Values

### LOWER

    static final int LOWER

See Also:
  Constant Field Values

### PRINT

    static final int PRINT

See Also:
  Constant Field Values

### PUNCT

    static final int PUNCT

See Also:
  Constant Field Values

### SPACE

    static final int SPACE

See Also:
  Constant Field Values

### UPPER

    static final int UPPER

See Also:
  Constant Field Values

### XDIGIT

    static final int XDIGIT

See Also:
  Constant Field Values

### s_nameTable

    static final String[] s_nameTable

### newline

    static final String newline

### m_next

    protected REToken m_next

### m_uncle

    protected REToken m_uncle

### m_subIndex

    protected int m_subIndex

Constructor Detail

### RETokenPOSIX

    RETokenPOSIX(int f_subIndex,
                 int f_type,
                 boolean f_insens,
                 boolean f_negated)

Method Detail

### intValue

    static int intValue(String key)

### getMinimumLength

    int getMinimumLength()

  Overrides:
    `getMinimumLength` in class `REToken`

### match

    int[] match(CharIndexed input,
                int index,
                int eflags,
                REMatch mymatch)

  Specified by:
    `match` in class `REToken`

### dump

    void dump(StringBuffer os)

  Overrides:
    `dump` in class `REToken`

### setUncle

    void setUncle(REToken f_uncle)

### next

    protected int[] next(CharIndexed input,
                         int index,
                         int eflags,
                         REMatch mymatch)

### chain

    boolean chain(REToken next)

### dumpAll

    void dumpAll(StringBuffer os)